uuid: c1f1a037-6f7a-4dd6-8c02-ca93d9a37296
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.media.open_seadragon
    - core.entity_view_mode.media.pdfjs
    - core.entity_view_mode.media.source
  module:
    - media
    - taxonomy
    - user
id: media_display_blocks
label: 'Media Display'
module: views
description: 'Blocks that show the Service File'
tag: ''
base_table: media_field_data
base_field: mid
display:
  default:
    id: default
    display_title: Default
    display_plugin: default
    position: 0
    display_options:
      title: 'Media Display'
      fields:
        name:
          id: name
          table: media_field_data
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: media
          entity_field: media
          plugin_id: field
          label: ''
          exclude: false
          alter:
            alter_text: false
            make_link: false
            absolute: false
            word_boundary: false
            ellipsis: false
            strip_tags: false
            trim: false
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: true
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 1
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'view media'
      cache:
        type: tag
        options: {  }
      empty:
        view:
          id: view
          table: views
          field: view
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: view
          empty: true
          view_to_insert: 'media_display_blocks:source_original'
          inherit_arguments: true
      sorts: {  }
      arguments:
        field_media_of_target_id:
          id: field_media_of_target_id
          table: media__field_media_of
          field: field_media_of_target_id
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: numeric
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: node
          default_argument_options: {  }
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
      filters:
        status:
          id: status
          table: media_field_data
          field: status
          entity_type: media
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: field_media_use
          group_type: group
          admin_label: ''
          plugin_id: string
          operator: '='
          value: 'http://pcdm.org/use#ServiceFile'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      style:
        type: default
      row:
        type: 'entity:media'
        options:
          relationship: none
          view_mode: source
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships:
        field_media_use:
          id: field_media_use
          table: media__field_media_use
          field: field_media_use
          relationship: none
          group_type: group
          admin_label: 'field_media_use: Taxonomy term'
          plugin_id: standard
          required: true
      header: {  }
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  openseadragon:
    id: openseadragon
    display_title: OpenSeadragon
    display_plugin: block
    position: 3
    display_options:
      empty:
        view:
          id: view
          table: views
          field: view
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: view
          empty: true
          view_to_insert: 'media_display_blocks:openseadragon_original'
          inherit_arguments: true
      style:
        type: default
        options: {  }
      row:
        type: 'entity:media'
        options:
          relationship: none
          view_mode: open_seadragon
      defaults:
        empty: false
        style: false
        row: false
      display_description: ''
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - OpenSeadragon - Service File with fallback to Original'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  openseadragon_original:
    id: openseadragon_original
    display_title: 'OpenSeadragon - Original File'
    display_plugin: block
    position: 6
    display_options:
      empty: {  }
      filters:
        status:
          id: status
          table: media_field_data
          field: status
          entity_type: media
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: field_media_use
          group_type: group
          admin_label: ''
          plugin_id: string
          operator: '='
          value: 'http://pcdm.org/use#OriginalFile'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
        options: {  }
      row:
        type: 'entity:media'
        options:
          relationship: none
          view_mode: open_seadragon
      defaults:
        empty: false
        style: false
        row: false
        filters: false
        filter_groups: false
      display_description: 'Used as a fallback'
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - OpenSeadragon - Original File'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  pdfjs:
    id: pdfjs
    display_title: PDFjs
    display_plugin: block
    position: 2
    display_options:
      empty:
        view:
          id: view
          table: views
          field: view
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: view
          empty: true
          view_to_insert: 'media_display_blocks:pdfjs_original'
          inherit_arguments: true
      style:
        type: default
        options: {  }
      row:
        type: 'entity:media'
        options:
          relationship: none
          view_mode: pdfjs
      defaults:
        empty: false
        style: false
        row: false
      display_description: ''
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - PDFjs - Service File with fallback to Original'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  pdfjs_original:
    id: pdfjs_original
    display_title: 'PDFjs - Original File'
    display_plugin: block
    position: 5
    display_options:
      empty: {  }
      filters:
        status:
          id: status
          table: media_field_data
          field: status
          entity_type: media
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: field_media_use
          group_type: group
          admin_label: ''
          plugin_id: string
          operator: '='
          value: 'http://pcdm.org/use#OriginalFile'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      style:
        type: default
        options: {  }
      row:
        type: 'entity:media'
        options:
          relationship: none
          view_mode: pdfjs
      defaults:
        empty: false
        style: false
        row: false
        filters: false
        filter_groups: false
      display_description: 'Used as a fallback'
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - PDFjs - Original File'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  source:
    id: source
    display_title: Source
    display_plugin: block
    position: 1
    display_options:
      display_description: ''
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - Source - Service file with fallback to Original'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
  source_original:
    id: source_original
    display_title: 'Source - Original File'
    display_plugin: block
    position: 4
    display_options:
      empty: {  }
      filters:
        status:
          id: status
          table: media_field_data
          field: status
          entity_type: media
          entity_field: status
          plugin_id: boolean
          value: '1'
          group: 1
          expose:
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
        field_external_uri_uri:
          id: field_external_uri_uri
          table: taxonomy_term__field_external_uri
          field: field_external_uri_uri
          relationship: field_media_use
          group_type: group
          admin_label: ''
          plugin_id: string
          operator: '='
          value: 'http://pcdm.org/use#OriginalFile'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            placeholder: ''
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      filter_groups:
        operator: AND
        groups:
          1: AND
      defaults:
        empty: false
        filters: false
        filter_groups: false
      display_description: 'Used as a fallback'
      display_extenders:
        matomo:
          enabled: false
          keyword_gets: ''
          keyword_behavior: first
          keyword_concat_separator: ' '
          category_behavior: none
          category_gets: ''
          category_concat_separator: ' '
          category_fallback: ''
          category_facets: {  }
          category_facets_concat_separator: ', '
      block_description: 'Media Display - Source - Original File'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - user.permissions
      tags: {  }
